Package twisted :: Package web :: Module microdom :: Class Element

[frames | no frames]

## Class Element

    object --+
             |
          Node --+
                 |
                Element

Method Summary
| `__init__(self, tagName, attributes, parentNode, filename, markpos, caseInsensitive, preserveCase, namespace)`
| `__repr__(self)`
| `__str__(self)`
| `addPrefixes(self, pfxs)`
| `cloneNode(self, deep, parent)`
| `endTag(self, endTagName)`
| `getAttribute(self, name, default)`
| `getAttributeNode(self, name)`
| `getAttributeNS(self, ns, name, default)`
| `getElementsByTagName(self, name)`
| `hasAttribute(self, name)`
| `hasAttribute_has_key(self, name)`
| `hasAttributes(self)`
| `isEqualToElement(self, n)`
| `removeAttribute(self, name)`
| `removeAttribute_has_key(self, name)`
| `setAttribute(self, name, attr)`
| `writexml(self, stream, indent, addindent, newl, strip, nsprefixes, namespace)`
Inherited from Node
| ``__hash__`(self)`
| ``appendChild`(self, child)`
| ``firstChild`(self)`
| ``hasChildNodes`(self)`
| ``insertBefore`(self, new, ref)`
| ``isEqualToNode`(self, n)`
| ``lastChild`(self)`
| ``removeChild`(self, child)`
| ``replaceChild`(self, newChild, oldChild)`
| ``toprettyxml`(self, indent, addindent, newl, strip)`
| ``toxml`(self, indent, addindent, newl, strip, nsprefixes, namespace)`
| ``writeprettyxml`(self, stream, indent, addindent, newl, strip)`
Inherited from object
| `__delattr__(...)`
| `__getattribute__(...)`
| `__reduce__(...)`
| `__setattr__(...)`
Inherited from type
| `__new__(...)`

Class Variable Summary
`int` | `caseInsensitive` = 1
`str` | `namespace` = `''`
`NoneType` | `nsprefixes` = None
`int` | `preserveCase` = 0
Inherited from Node
`str` | `nodeName` = `'Node'`

Class Variable Details

### caseInsensitive

  Type:
    `int`
  Value:

        1

### namespace

  Type:
    `str`
  Value:

        ''

### nsprefixes

  Type:
    `NoneType`
  Value:

        None

### preserveCase

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net